local function drawText(text, x, y, scale, r, g, b)
	SetTextFont(font)
	SetTextCentre(1)
	SetTextProportional(0)
	SetTextScale(scale, scale)
	SetTextDropShadow(30, 5, 5, 5, 255)
	SetTextEntry("STRING")
	SetTextColour(r, g, b, 255)
	AddTextComponentString(text)
	DrawText(x, y)
end

local function DrawText3D(x,y,z, text, scl) 

    local onScreen,_x,_y=World3dToScreen2d(x,y,z)
    local px,py,pz=table.unpack(GetGameplayCamCoords())
    local dist = GetDistanceBetweenCoords(px,py,pz, x,y,z, 1)
 
    local scale = (1/dist)*scl
    local fov = (1/GetGameplayCamFov())*100
    local scale = scale*fov
   
    if onScreen then
        SetTextScale(0.0*scale, 1.1*scale)
        SetTextFont(0)
        SetTextProportional(1)
        SetTextColour(255, 255, 255, 255)
        SetTextDropshadow(0, 0, 0, 0, 255)
        SetTextEdge(2, 0, 0, 0, 150)
        SetTextDropShadow()
        SetTextOutline()
        SetTextEntry("STRING")
        SetTextCentre(1)
        AddTextComponentString(text)
        DrawText(_x,_y)
    end
end

local sugepl = false

Citizen.CreateThread(function()
	while true do
        local ped = PlayerPedId()
        if #(GetEntityCoords(ped) - vector3(277.43634033203,-1337.6468505859,24.537811279297)) <= 5.0 then
            ticks = 1
            if sugepl == false then
                DrawText3D(277.43634033203,-1337.6468505859,24.537811279297-0.15, "Cauta inimi", 1.0)
                DrawMarker(2,277.43634033203,-1337.6468505859,24.537811279297-0.5, 0, 0, 0, 0, 0, 0, 0.35, 0.35, 0.35, 253, 190, 34, 165, 0, 0, 0, 1)
                if #(GetEntityCoords(ped) - vector3(277.43634033203,-1337.6468505859,24.537811279297)) <= 3.0 then
                    drawText("APASA ~y~E~w~ PENTRU A CAUTA INIMI", 0.5, 0.9, 0.4, 255, 255, 255)
                    if IsControlJustPressed(1,51) then
                        local success = 'perfect'
                        if success == 'perfect' then
                            sugepl = true
                            FreezeEntityPosition(ped,true)
                            tvRP.playAnim(false, {task="PROP_HUMAN_BUM_BIN"}, false)
                            exports.glb_progressbar:Start("Cauti inimi", 25000)
                            FreezeEntityPosition(ped,false)
                            tvRP.stopAnim(false)
                            sugepl = false
                            vRPserver.daiInima({})
                        end
                    end
                end
            end
        end 
        if #(GetEntityCoords(ped) - vector3(255.81520080566,-1342.9206542969,24.537811279297)) <= 5.0 then
            ticks = 1
            if sugepl == false then
                DrawText3D(255.81520080566,-1342.9206542969,24.537811279297-0.15, "Cauta ficati", 1.0)
                DrawMarker(2,255.81520080566,-1342.9206542969,24.537811279297-0.5, 0, 0, 0, 0, 0, 0, 0.35, 0.35, 0.35, 253, 190, 34, 165, 0, 0, 0, 1)
                if #(GetEntityCoords(ped) - vector3(255.81520080566,-1342.9206542969,24.537811279297)) <= 3.0 then
                    drawText("APASA ~y~E~w~ PENTRU A CAUTA FICATI", 0.5, 0.9, 0.4, 255, 255, 255)
                    if IsControlJustPressed(1,51) then
                        local success = 'perfect'
                        if success == 'perfect' then
                            FreezeEntityPosition(ped,true)
                            sugepl = true
                            tvRP.playAnim(false, {task="PROP_HUMAN_BUM_BIN"}, false)
                            exports.glb_progressbar:Start("Cauti ficati", 25000)
                            FreezeEntityPosition(ped,false)
                            tvRP.stopAnim(false)
                            sugepl = false
                            vRPserver.daiFicati({})
                        end
                    end
                end
            end
        end
        if #(GetEntityCoords(ped) - vector3(1389.2224121094,3605.2058105469,38.941879272461)) <= 5.0 then
            ticks = 1
            if sugepl == false then
                DrawText3D(1389.2224121094,3605.2058105469,38.941879272461-0.15, "Ambaleaza organele", 1.0)
                DrawMarker(2,1389.2224121094,3605.2058105469,38.941879272461-0.5, 0, 0, 0, 0, 0, 0, 0.35, 0.35, 0.35, 253, 190, 34, 165, 0, 0, 0, 1)
                if #(GetEntityCoords(ped) - vector3(1389.2224121094,3605.2058105469,38.941879272461)) <= 3.0 then
                    drawText("APASA ~y~E~w~ , 1 Organe ambalate = 1 Inima + 1 Ficat", 0.5, 0.9, 0.4, 255, 255, 255)
                    if IsControlJustPressed(1,51) then
                        local success = 'perfect'
                        if success == 'perfect' then
                            FreezeEntityPosition(ped,true)
                            sugepl = true
                            tvRP.playAnim(false, {task="PROP_HUMAN_BUM_BIN"}, false)
                            exports.glb_progressbar:Start("Ambaleaza organele", 25000)
                            FreezeEntityPosition(ped,false)
                            tvRP.stopAnim(false)
                            sugepl = false
                            vRPserver.impacheteazaOrgane({})
                        end
                    end
                end
            end
        end
        if #(GetEntityCoords(ped) - vector3(705.53344726562,-964.05767822266,30.395343780518)) <= 5.0 then
            ticks = 1
            if sugepl == false then
                DrawText3D(705.53344726562,-964.05767822266,30.395343780518-0.15, "Vinde Organe", 1.0)
                DrawMarker(2,705.53344726562,-964.05767822266,30.395343780518-0.5, 0, 0, 0, 0, 0, 0, 0.35, 0.35, 0.35, 253, 190, 34, 165, 0, 0, 0, 1)
                if #(GetEntityCoords(ped) - vector3(705.53344726562,-964.05767822266,30.395343780518)) <= 3.0 then
                    drawText("APASA ~y~E~w~ PENTRU A VINDE ORGANE", 0.5, 0.9, 0.4, 255, 255, 255)
                    if IsControlJustPressed(1,51) then
                        vRPserver.vindeOrgane({})
                    end
                end
            end
        end
        Citizen.Wait(ticks)
        ticks = 1000
    end
end)